# Class OjTreemap

The component WebElement for oj-treemap. Do not instantiate this class directly, instead, use ojTreemap.

#### Hierarchy

- OjTreemapBase
  - OjTreemap

#####
Index

### Constructors

constructor

### Methods

changeHiddenCategories
changeHighlightedCategories
changeIsolatedNode
changeSelection
clear
click
findElement
findElements
getAnimationDuration
getAnimationOnDataChange
getAnimationOnDisplay
getAnimationUpdateColor
getAs
getAttribute
getColorLabel
getCssValue
getDisplayLevels
getDrilling
getGroupGaps
getHiddenCategories
getHighlightMatch
getHighlightMode
getHighlightedCategories
getHoverBehavior
getHoverBehaviorDelay
getIsolatedNode
getLayout
getLocation
getNodeContent
getNodeDefaults
getNodeSeparators
getNodes
getProperty
getRect
getRootNode
getSelection
getSelectionMode
getSize
getSizeLabel
getSorting
getText
getTooltip
getTouchResponse
getTrackResize
getTranslations
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady

## Constructors

### constructor

- new OjTreemap(el, locators): OjTreemap

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns OjTreemap

  Inherited from OjTreemapBase.constructor

## Methods

### changeHiddenCategories

- changeHiddenCategories(hiddenCategories): Promise<void>

- Sets the value of `hiddenCategories` property. An array of category strings used for filtering. Nodes with any category matching an item in this array will be filtered.

  #### Parameters

  - ##### hiddenCategories: string[]

    The value to set for `hiddenCategories`

  #### Returns Promise<void>

  Inherited from OjTreemapBase.changeHiddenCategories

### changeHighlightedCategories

- changeHighlightedCategories(highlightedCategories): Promise<void>

- Sets the value of `highlightedCategories` property. An array of category strings used for highlighting. Nodes matching categories in this array will be highlighted.

  #### Parameters

  - ##### highlightedCategories: string[]

    The value to set for `highlightedCategories`

  #### Returns Promise<void>

  Inherited from OjTreemapBase.changeHighlightedCategories

### changeIsolatedNode

- changeIsolatedNode(isolatedNode): Promise<void>

- Sets the value of `isolatedNode` property. The id of the initially isolated node.

  #### Parameters

  - ##### isolatedNode: any

    The value to set for `isolatedNode`

  #### Returns Promise<void>

  Inherited from OjTreemapBase.changeIsolatedNode

### changeSelection

- changeSelection(selection): Promise<void>

- Sets the value of `selection` property. An array containing the ids of the initially selected nodes.

  #### Parameters

  - ##### selection: any[]

    The value to set for `selection`

  #### Returns Promise<void>

  Inherited from OjTreemapBase.changeSelection

### clear

- clear(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjTreemapBase.clear

### click

- click(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjTreemapBase.click

### findElement

- findElement(locator): WebElementPromise

- #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  #### Inherit Doc

  Inherited from OjTreemapBase.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  #### Inherit Doc

  Inherited from OjTreemapBase.findElements

### getAnimationDuration

- getAnimationDuration(): Promise<number>

- Gets the value of `animationDuration` property. Specifies the animation duration in milliseconds. For data change animations with multiple stages, the value specifies the duration of each stage.

  #### Returns Promise<number>

  The value of `animationDuration` property.

  Inherited from OjTreemapBase.getAnimationDuration

### getAnimationOnDataChange

- getAnimationOnDataChange(): Promise<string>

- Gets the value of `animationOnDataChange` property. Specifies the animation that is applied on data changes.

  #### Returns Promise<string>

  The value of `animationOnDataChange` property.

  Inherited from OjTreemapBase.getAnimationOnDataChange

### getAnimationOnDisplay

- getAnimationOnDisplay(): Promise<string>

- Gets the value of `animationOnDisplay` property. Specifies the animation that is shown on initial display.

  #### Returns Promise<string>

  The value of `animationOnDisplay` property.

  Inherited from OjTreemapBase.getAnimationOnDisplay

### getAnimationUpdateColor

- getAnimationUpdateColor(): Promise<string>

- Gets the value of `animationUpdateColor` property. Specifies the color displayed during a data change animation when a node is updated.

  #### Returns Promise<string>

  The value of `animationUpdateColor` property.

  Inherited from OjTreemapBase.getAnimationUpdateColor

### getAs

- getAs(): Promise<string>

- Gets the value of `as` property. An alias for the '$current' context variable passed to slot content for the nodeTemplate slot.

  #### Returns Promise<string>

  The value of `as` property.

  #### Deprecated

  Since 6.2.0. Set the alias directly on the template element using the data-oj-as attribute instead.

  Inherited from OjTreemapBase.getAs

### getAttribute

- getAttribute(attributeName): Promise<string>

- #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjTreemapBase.getAttribute

### getColorLabel

- getColorLabel(): Promise<string>

- Gets the value of `colorLabel` property. Specifies the label displayed in the legend describing the color metric of the treemap.

  #### Returns Promise<string>

  The value of `colorLabel` property.

  Inherited from OjTreemapBase.getColorLabel

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjTreemapBase.getCssValue

### getDisplayLevels

- getDisplayLevels(): Promise<number>

- Gets the value of `displayLevels` property. The number of levels of nodes to display. By default all nodes are displayed.

  #### Returns Promise<number>

  The value of `displayLevels` property.

  Inherited from OjTreemapBase.getDisplayLevels

### getDrilling

- getDrilling(): Promise<string>

- Gets the value of `drilling` property. Specifies whether drilling is enabled. Drillable nodes will show a pointer cursor on hover and fire ojBeforeDrill and ojDrill events on click (double click if selection is enabled). See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `drilling` property.

  Inherited from OjTreemapBase.getDrilling

### getGroupGaps

- getGroupGaps(): Promise<string>

- Gets the value of `groupGaps` property. Specifies whether gaps are displayed between groups. Gaps can be useful for drawing attention to the differences between groups.

  #### Returns Promise<string>

  The value of `groupGaps` property.

  Inherited from OjTreemapBase.getGroupGaps

### getHiddenCategories

- getHiddenCategories(): Promise<string[]>

- Gets the value of `hiddenCategories` property. An array of category strings used for filtering. Nodes with any category matching an item in this array will be filtered.

  #### Returns Promise<string[]>

  The value of `hiddenCategories` property.

  Inherited from OjTreemapBase.getHiddenCategories

### getHighlightMatch

- getHighlightMatch(): Promise<string>

- Gets the value of `highlightMatch` property. The matching condition for the highlightedCategories property. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `highlightMatch` property.

  Inherited from OjTreemapBase.getHighlightMatch

### getHighlightMode

- getHighlightMode(): Promise<string>

- Gets the value of `highlightMode` property. Specifies whether the highlight-mode should be by category or descendants.

  #### Returns Promise<string>

  The value of `highlightMode` property.

  Inherited from OjTreemapBase.getHighlightMode

### getHighlightedCategories

- getHighlightedCategories(): Promise<string[]>

- Gets the value of `highlightedCategories` property. An array of category strings used for highlighting. Nodes matching categories in this array will be highlighted.

  #### Returns Promise<string[]>

  The value of `highlightedCategories` property.

  Inherited from OjTreemapBase.getHighlightedCategories

### getHoverBehavior

- getHoverBehavior(): Promise<string>

- Gets the value of `hoverBehavior` property. Defines the behavior applied when hovering over the nodes.

  #### Returns Promise<string>

  The value of `hoverBehavior` property.

  Inherited from OjTreemapBase.getHoverBehavior

### getHoverBehaviorDelay

- getHoverBehaviorDelay(): Promise<number>

- Gets the value of `hoverBehaviorDelay` property. Specifies initial hover delay in milliseconds for highlighting nodes.

  #### Returns Promise<number>

  The value of `hoverBehaviorDelay` property.

  Inherited from OjTreemapBase.getHoverBehaviorDelay

### getIsolatedNode

- getIsolatedNode(): Promise<any>

- Gets the value of `isolatedNode` property. The id of the initially isolated node.

  #### Returns Promise<any>

  The value of `isolatedNode` property.

  Inherited from OjTreemapBase.getIsolatedNode

### getLayout

- getLayout(): Promise<string>

- Gets the value of `layout` property. Specifies the layout of the treemap. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `layout` property.

  Inherited from OjTreemapBase.getLayout

### getLocation

- getLocation(): Promise<ILocation>

- #### Returns Promise<ILocation>

  #### Inherit Doc

  Inherited from OjTreemapBase.getLocation

### getNodeContent

- getNodeContent(): Promise<NodeContent>

- Gets the value of `nodeContent` property. An object defining custom node content for the treemap. Only leaf nodes with no child nodes will have the custom content rendered.

  #### Returns Promise<NodeContent>

  The value of `nodeContent` property.

  Inherited from OjTreemapBase.getNodeContent

### getNodeDefaults

- getNodeDefaults(): Promise<NodeDefaults>

- Gets the value of `nodeDefaults` property. An object defining default properties for the nodes. See the Help documentation for more information.

  #### Returns Promise<NodeDefaults>

  The value of `nodeDefaults` property.

  Inherited from OjTreemapBase.getNodeDefaults

### getNodeSeparators

- getNodeSeparators(): Promise<string>

- Gets the value of `nodeSeparators` property. Specifies the visual effect for separating the nodes from each other. This allows for adjacent nodes of the same color to be distinguished.

  #### Returns Promise<string>

  The value of `nodeSeparators` property.

  Inherited from OjTreemapBase.getNodeSeparators

### getNodes

- getNodes(): Promise<null | Nodes[]>

- Gets the value of `nodes` property. An array of objects defining the data for the nodes. Also accepts a Promise for deferred data rendering.

  #### Returns Promise<null | Nodes[]>

  The value of `nodes` property.

  Inherited from OjTreemapBase.getNodes

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from OjTreemapBase.getProperty

### getRect

- getRect(): Promise<IRectangle>

- #### Returns Promise<IRectangle>

  #### Inherit Doc

  Inherited from OjTreemapBase.getRect

### getRootNode

- getRootNode(): Promise<any>

- Gets the value of `rootNode` property. The id of the root node. When specified, only the root node and children of the root will be displayed.

  #### Returns Promise<any>

  The value of `rootNode` property.

  Inherited from OjTreemapBase.getRootNode

### getSelection

- getSelection(): Promise<any[]>

- Gets the value of `selection` property. An array containing the ids of the initially selected nodes.

  #### Returns Promise<any[]>

  The value of `selection` property.

  Inherited from OjTreemapBase.getSelection

### getSelectionMode

- getSelectionMode(): Promise<string>

- Gets the value of `selectionMode` property. Specifies the selection behavior on the treemap. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `selectionMode` property.

  Inherited from OjTreemapBase.getSelectionMode

### getSize

- getSize(): Promise<ISize>

- #### Returns Promise<ISize>

  #### Inherit Doc

  Inherited from OjTreemapBase.getSize

### getSizeLabel

- getSizeLabel(): Promise<string>

- Gets the value of `sizeLabel` property. Specifies the label used in the legend describing the size metric of the treemap.

  #### Returns Promise<string>

  The value of `sizeLabel` property.

  Inherited from OjTreemapBase.getSizeLabel

### getSorting

- getSorting(): Promise<string>

- Gets the value of `sorting` property. Specifies whether the nodes are sorted by size. Nodes with the same parent are sorted in order of descending size.

  #### Returns Promise<string>

  The value of `sorting` property.

  Inherited from OjTreemapBase.getSorting

### getText

- getText(): Promise<string>

- #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjTreemapBase.getText

### getTooltip

- getTooltip(): Promise<Tooltip>

- Gets the value of `tooltip` property. An object containing an optional callback function for tooltip customization.

  #### Returns Promise<Tooltip>

  The value of `tooltip` property.

  Inherited from OjTreemapBase.getTooltip

### getTouchResponse

- getTouchResponse(): Promise<string>

- Gets the value of `touchResponse` property. Specifies configuration options for touch and hold delays on mobile devices. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `touchResponse` property.

  #### Deprecated

  Since 18.0.0. This attribute is deprecated and no longer recommended in the Redwood Design system. The "auto" value behavior will be applied instead.

  Inherited from OjTreemapBase.getTouchResponse

### getTrackResize

- getTrackResize(): Promise<string>

- Gets the value of `trackResize` property. Defines whether the element will automatically render in response to changes in size. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `trackResize` property.

  Inherited from OjTreemapBase.getTrackResize

### getTranslations

- getTranslations(): Promise<null | Translations>

- Gets the value of `translations` property. A collection of translated resources from the translation bundle, or null if this component has no resources.

  #### Returns Promise<null | Translations>

  The value of `translations` property.

  Inherited from OjTreemapBase.getTranslations

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  #### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  Inherited from OjTreemapBase.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  #### Returns Condition<Promise<boolean>>

  #### Deprecated

  Inherited from OjTreemapBase.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjTreemapBase.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjTreemapBase.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjTreemapBase.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjTreemapBase.sendKeys

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from OjTreemapBase.setProperty

### submit

- submit(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjTreemapBase.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjTreemapBase.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from OjTreemapBase.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from OjTreemapBase.whenReady

Generated using TypeDoc